# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain
Class AppsForYourDomainQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.appsforyourdomain.AppsForYourDomainQuery

    public class AppsForYourDomainQuery

extends Query

The AppsForYourDomainQuery class extends the base GData Query class to define convenient APIs for AppsForYourDomain custom query parameters.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary
`static java.lang.String` `RECIPIENT`
`static java.lang.String` `START_EMAILLIST_NAME`
`static java.lang.String` `START_NICKNAME`
`static java.lang.String` `START_RECIPIENT`
`static java.lang.String` `START_USERNAME`
`static java.lang.String` `USERNAME`

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`AppsForYourDomainQuery(java.net.URL feedUrl)` Constructs a new AppsForYourDomainQuery object that targets a feed.

Method Summary
`protected java.lang.String` `getParameter(java.lang.String parameterKey)`
`java.lang.String` `getRecipient()`
`java.lang.String` `getStartEmailListName()`
`java.lang.String` `getStartNickname()`
`java.lang.String` `getStartRecipient()`
`java.lang.String` `getStartUsername()`
`java.lang.String` `getUsername()`
`protected void` `setParameter(java.lang.String parameterKey, java.lang.String parameterValue)`
`void` `setRecipient(java.lang.String recipient)` Sets the recipient for which we want to conduct email list searches.
`void` `setStartEmailListName(java.lang.String startEmailListName)` Sets the startEmailListName for which we want to conduct email list retrievals.
`void` `setStartNickname(java.lang.String startNickname)` Sets the startNickname for which we want to conduct nickname retrievals.
`void` `setStartRecipient(java.lang.String startRecipient)` Sets the startRecipient for which we want to conduct email list recipient retrievals.
`void` `setStartUsername(java.lang.String startUsername)` Sets the startUsername for which we want to conduct user retrievals.
`void` `setUsername(java.lang.String username)` Sets the username to restrict the retrieval of NicknameFeed entries.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USERNAME

    public static final java.lang.String USERNAME

See Also:
  Constant Field Values

### RECIPIENT

    public static final java.lang.String RECIPIENT

See Also:
  Constant Field Values

### START_EMAILLIST_NAME

    public static final java.lang.String START_EMAILLIST_NAME

See Also:
  Constant Field Values

### START_NICKNAME

    public static final java.lang.String START_NICKNAME

See Also:
  Constant Field Values

### START_RECIPIENT

    public static final java.lang.String START_RECIPIENT

See Also:
  Constant Field Values

### START_USERNAME

    public static final java.lang.String START_USERNAME

See Also:
  Constant Field Values

Constructor Detail

### AppsForYourDomainQuery

    public AppsForYourDomainQuery(java.net.URL feedUrl)

  Constructs a new AppsForYourDomainQuery object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### setUsername

    public void setUsername(java.lang.String username)

  Sets the username to restrict the retrieval of NicknameFeed entries.

  Parameters:
    `username` - The username for we wish to obtain the nicknames.

### getUsername

    public java.lang.String getUsername()

  Returns:
    the username that will be found in all NicknameFeed entries. A value of `null` indicates that username based querying is disabled.

### setRecipient

    public void setRecipient(java.lang.String recipient)

  Sets the recipient for which we want to conduct email list searches.

  Parameters:
    `recipient` - The recipient for which we want to obtain email list subscription.

### getRecipient

    public java.lang.String getRecipient()

  Returns:
    the recipient that will be found in all EmailListFeed entries. A value of `null` indicates that recipient based querying is disabled.

### setStartUsername

    public void setStartUsername(java.lang.String startUsername)

  Sets the startUsername for which we want to conduct user retrievals.

  Parameters:
    `startUsername` - The username at which we want to start our user retrieval.

### getStartUsername

    public java.lang.String getStartUsername()

  Returns:
    the starting username of the UserFeed we are retrieving. All users returned will have usernames occuring at or after this value. A value of `null` indicates that startUsername based querying is disabled.

### setStartEmailListName

    public void setStartEmailListName(java.lang.String startEmailListName)

  Sets the startEmailListName for which we want to conduct email list retrievals.

  Parameters:
    `startEmailListName` - The emailList name at which we want to start our email list retrieval.

### getStartEmailListName

    public java.lang.String getStartEmailListName()

  Returns:
    the starting emailList name of the EmailListFeed we are retrieving. All emailLists returned will have names occuring at or after this value. A value of `null` indicates that recipient based querying is disabled.

### setStartNickname

    public void setStartNickname(java.lang.String startNickname)

  Sets the startNickname for which we want to conduct nickname retrievals.

  Parameters:
    `startNickname` - The nickname at which we want to start our nickname retrieval.

### getStartNickname

    public java.lang.String getStartNickname()

  Returns:
    the starting nickname of the NicknameFeed we are retrieving. All nicknames returned will have names occuring at or after this value. A value of `null` indicates that recipient based querying is disabled.

### setStartRecipient

    public void setStartRecipient(java.lang.String startRecipient)

  Sets the startRecipient for which we want to conduct email list recipient retrievals.

  Parameters:
    `startRecipient` - The recipient at which we want to start our email list recipient retrieval.

### getStartRecipient

    public java.lang.String getStartRecipient()

  Returns:
    the starting recipient of the EmailListRecipientFeed we are retrieving. All recipients returned will have email addresses occuring at or after this value. A value of `null` indicates that recipient based querying is disabled.

### setParameter

    protected void setParameter(java.lang.String parameterKey,
                                java.lang.String parameterValue)

### getParameter

    protected java.lang.String getParameter(java.lang.String parameterKey)